package com.ruoyi.common.enums;

import com.ruoyi.common.utils.StringUtils;

public enum NewgaokaoType {
    newgaokao312("1", "3+1+2"),//语数外 +（物历选1，化生政地4选2）
    newgaokao33("2", "3+3"),//语数外 +（物化生历政地，6选3）
//    oldgaokao("3", "文理科"),//文理科

    ;
    private String value;
    private String remark;

    private NewgaokaoType(String value, String remark) {
        this.value = value;
        this.remark = remark;
    }

    public String getValue() {
        return value;
    }

    public String getRemark() {
        return remark;
    }

    public static NewgaokaoType getByValue(String value) {
        for (NewgaokaoType o : NewgaokaoType.values()) {
            if (o.getValue().equals(value)) {
                return o;
            }
        }
        return null;
    }

    public static Boolean isNewgaokao33Province(String provinceName){
        //TODO 从数据库中取数据 ,山东需要单独处理
        if ("山东".equalsIgnoreCase(provinceName)) {
            return true;
        }else {
            return false;
        }
    }

    public static String getNewgaokaoType(String provinceName) {
        if(StringUtils.isBlank(provinceName)){
            return null;
        }
        if (isNewgaokao33Province(provinceName)) {
            return newgaokao33.value;
        }

        return newgaokao312.value;
    }

    public static Boolean isNewgaokao312(String type) {
        if (newgaokao312.value.equalsIgnoreCase(type)) {
            return true;
        }

        return false;
    }

    /**
     * type可为类型或省份名称
     * @param type
     * @return
     */
    public static Boolean isNewgaokao33(String type) {
        if (newgaokao33.value.equalsIgnoreCase(type)||isNewgaokao33Province(type)) {
            return true;
        }

        return false;
    }
    public static Boolean isNotNewgaokao33(String type) {
        return !isNewgaokao33(type);
    }

        public static void main(String[] args) {

    }
}
